
Summary: TNSNAMES.ORA updating mechanism for the ORACLE instantclient
Name: oracle-instantclient-tnsnames.ora
Version: 1.4.2
Release: 1%{?dist}
Epoch:   1
Source0: oracle-instantclient-tnsnames.ora-1.4.2.tar.gz
License: GPL
Group: Applications/File
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Requires: wget

%description
This wrapper package adds CERN-specific configuration information to
the ORACLE instantlient install:
* %{_sysconfdir}/tnsnames.ora , %{_sysconfdir}/sqlnet.ora and a cron job 
to update it hourly

This package is not tied to the exact ORACLE instantclient version.

%prep

%setup

%build

%install

make install DESTDIR=$RPM_BUILD_ROOT/

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = "1" ]; then
  # try to get fresh tnsnames on install
  %{_sysconfdir}/cron.hourly/tnsnames-update.cron || true
fi

%files
%defattr(-,root,root)
%{_sysconfdir}/cron.hourly/tnsnames-update.cron
%config(noreplace) %{_sysconfdir}/sysconfig/tnsnames-update-config
%config %{_sysconfdir}/tnsnames.ora
%config %{_sysconfdir}/sqlnet.ora

%changelog
* Tue Feb 05 2019 Thomas Oulevey <thomas.oulevey@cern.ch> - 1.4.2
- remove fallback to file because of eos limitation.

* Fri Nov 30 2018 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.4
- change preferred location of master tnsnames.ora file
  (first : web service, then EOS. no more AFS)

* Wed Feb 07 2018 Thomas Oulevey <thomas.oulevey@cern.ch> - 1.2-3
- add sqlnet.ora in /etc to disable diagnostic message

* Tue Oct 11 2016 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.2-1
- add wget timeout

* Thu Nov 26 2015 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.1-1
- renumber and make independent of actual oracle-instantclient version

* Wed Nov 25 2015 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 11.2-1
* Fri Sep 12 2014 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 12.1-2
- fix reqs

* Wed Sep 10 2014 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 12.1.0.2
- el7 initial build

* Tue Apr  9 2013 Jan van Eldik <Jan.van.Eldik@cern.ch> - 11.2.0.3.0-2
* Add missing "Requires:" on wget (RQF0211842)

* Fri Nov 30 2012 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 11.2.0.3.0-1

- unified build 5/6
- bump version to match instantclient

* Fri Jan 27 2012 Jan van Eldik <Jan.van.Eldik@cern.ch> - 11.2.0.2.0-2.slc6
- run cron job hourly

* Tue Jun  3 2008 Jan Iven <jan.iven@cern.ch> - 10.2.0.1-3.cern
- change download URL for CERN (oracle.support, CT528187)
- update contained tnsnames.ora copy.

* Thu Oct 25 2007 Jan Iven <jan.iven@cern.ch> 
- recreate .spec, update contained tnsnames.ora copy.

* Tue Apr 04 2006 Jan Iven <jan.Iven@cern.ch>

- go to single package for the TNSNAMES stuff, Matthias Saou's instantclient has the rest

* Thu Jan 26 2006 Jan Iven <jan.Iven@cern.ch>

- add updating mechanism for tnsnames.ora
- configure ld.so

* Tue Nov 01 2005 Jan van Eldik <Jan.van.Eldik@cern.ch>

- Initial build.

